Bug 221781 - graphics/evince: update to 3.26.0
Summary: graphics/evince: update to 3.26.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-08-25 00:10 UTC by Ivan Rozhuk
Modified: 2018-02-20 12:19 UTC (History)
7 users (show)

See Also:
pi: maintainer-feedback-


Attachments
up to 3.25.91 (48.48 KB, patch)
2017-08-25 00:10 UTC, Ivan Rozhuk
no flags Details | Diff
Upgrade to 3.26 (79 bytes, text/plain)
2017-11-17 12:27 UTC, Joerg Wunsch
no flags Details
patch (54.23 KB, patch)
2017-11-17 22:16 UTC, Carlos J. Puga Medina
pi: maintainer-approval-
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Rozhuk 2017-08-25 00:10:48 UTC
Created attachment 185734 [details]
up to 3.25.91

graphics/evince - not tested
graphics/evince-lite - OK
Comment 1 Ivan Rozhuk 2017-09-07 12:24:25 UTC
ping
Comment 2 Joerg Wunsch freebsd_committer 2017-11-17 12:27:39 UTC
Created attachment 188073 [details]
Upgrade to 3.26
Comment 3 Carlos J. Puga Medina freebsd_committer 2017-11-17 22:16:52 UTC
Created attachment 188082 [details]
patch
Comment 4 Ivan Rozhuk 2017-11-28 16:35:53 UTC
ping
Comment 5 Kurt Jaeger freebsd_committer 2018-02-19 17:49:54 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2018-02-19 17:50:24 UTC
A commit references this bug:

Author: pi
Date: Mon Feb 19 17:49:55 UTC 2018
New revision: 462340
URL: https://svnweb.freebsd.org/changeset/ports/462340

Log:
  graphics/evince{-lite}: update 3.18.2 -> 3.26.0

  PR:		221781
  Submitted by:	rozhuk.im@gmail.com, joerg
  Reviewed by:	Rainer Hurling <rhurlin@gwdg.de>, Greg Veldman <greg@gregv.net>
  Approved by:	gnome (maintainer timeout)
  Relnotes:	https://github.com/GNOME/evince/blob/master/NEWS

Changes:
  head/graphics/evince/Makefile
  head/graphics/evince/distinfo
  head/graphics/evince/files/
  head/graphics/evince/pkg-descr
  head/graphics/evince/pkg-plist
  head/graphics/evince-lite/Makefile
  head/graphics/evince-lite/pkg-descr
  head/graphics/evince-lite/pkg-plist
Comment 7 VVD 2018-02-20 11:08:01 UTC
Can't install it after build (11.1 amd64 and i386):
====> Compressing man pages (compress-man)
===>  Installing for evince-3.26.0
===>  Checking if evince already installed
===>   Registering installation for evince-3.26.0
pkg-static: Unable to access file /usr/obj/usr/ports/graphics/evince/work/stage/usr/local/libexec/evinced:No such file or directory
pkg-static: Unable to access file /usr/obj/usr/ports/graphics/evince/work/stage/usr/local/share/dbus-1/services/org.gnome.evince.Daemon.service:No such file or directory
*** Error code 74

Stop.
make[1]: stopped in /usr/ports/graphics/evince
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/evince

# find /usr/obj/usr/ports/graphics/evince/work/ -name evinced
# find /usr/obj/usr/ports/graphics/evince/work/ -name org.gnome.evince.Daemon.service
# cat /var/db/ports/graphics_evince/options 
# This file is auto-generated by 'make config'.
# Options for evince-3.26.0
_OPTIONS_READ=evince-3.26.0
_FILE_COMPLETE_OPTIONS_LIST=COMICS DBUS DJVU DVI KEYRING NAUTILUS T1LIB XPS
OPTIONS_FILE_SET+=COMICS
OPTIONS_FILE_UNSET+=DBUS
OPTIONS_FILE_SET+=DJVU
OPTIONS_FILE_SET+=DVI
OPTIONS_FILE_UNSET+=KEYRING
OPTIONS_FILE_SET+=NAUTILUS
OPTIONS_FILE_SET+=T1LIB
OPTIONS_FILE_SET+=XPS
Comment 8 VVD 2018-02-20 12:09:27 UTC
This patch work for me:

# diff -u pkg-plist.orig pkg-plist
--- pkg-plist.orig      2018-02-20 15:08:12.034320000 +0300
+++ pkg-plist   2018-02-20 15:03:54.425255000 +0300
@@ -87,7 +87,7 @@
 %%NAUTILUS%%lib/nautilus/extensions-%%VERSION%%/libevince-properties-page.so
 libdata/pkgconfig/evince-document-%%VERSION%%.pc
 libdata/pkgconfig/evince-view-%%VERSION%%.pc
-libexec/evinced
+%%DBUS%%libexec/evinced
 man/man1/evince.1.gz
 share/GConf/gsettings/evince.convert
 %%COMICS%%share/appdata/evince-comicsdocument.metainfo.xml
@@ -100,7 +100,7 @@
 share/appdata/evince.appdata.xml
 share/applications/evince-previewer.desktop
 share/applications/evince.desktop
-share/dbus-1/services/org.gnome.evince.Daemon.service
+%%DBUS%%share/dbus-1/services/org.gnome.evince.Daemon.service
 %%DATADIR%%/hand-open.png
 %%DATADIR%%/icons/hicolor/16x16/actions/object-rotate-left.png
 %%DATADIR%%/icons/hicolor/16x16/actions/object-rotate-right.png
Comment 9 commit-hook freebsd_committer 2018-02-20 12:19:52 UTC
A commit references this bug:

Author: pi
Date: Tue Feb 20 12:19:39 UTC 2018
New revision: 462390
URL: https://svnweb.freebsd.org/changeset/ports/462390

Log:
  graphics/evince: fix plist if DBUS is not selected

  PR:		221781
  Submitted by:	vvd@unislabs.com

Changes:
  head/graphics/evince/pkg-plist
  head/graphics/evince-lite/pkg-plist